%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pure_eval
Version:       0.2.3
Release:       1mamba
Summary:       Safely evaluate AST nodes without side effects
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/alexmojaki/pure_eval
Source:        https://pypi.debian.net/pure-eval/pure_eval-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pure_eval-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Sun Jul 21 2024 Automatic Build System <autodist@openmamba.org> 0.2.3-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 0.2.2-2mamba
- rebuilt with python3 = 3.11.5

* Thu Apr 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- package created using the webbuild interface
